
@mixin app-referral-ready-tracking-theme($theme) {
    $primary: map-get($theme, primary);
    $warn: map-get($theme, warn);
    $accent: map-get($theme, accent);
  
    app-referral-ready-tracking {
      width: 100%;
      padding: 5px;
      overflow-x: hidden;
    }  
  
    .referral-ready-tracking {
      margin-top: 30px !important;
      display: flex;
      flex-direction: column;
      padding: 5px;
      background-color: mat-color($primary, 50);
      
      .rrt-main-card {
        display: flex;
        flex-direction: column;
        padding: 0px;
        background-color: mat-color($primary, 50);
  
        .mat-card-header {
          width: 100%;
        }
  
        .mat-card-content {  
          .example-small-box {
            display: flex;
            align-items: center;
            justify-content: center;
            background: white;
            .example-container {
              width: 100%;
              margin-right: 10px;
              margin-left: 10px;
            }
          }        
        }
      }  

       
      .mat-form-field-flex>.mat-form-field-infix {
        padding: 0.4em 0px !important;
        //height: 10px;
      } 
      
       .mat-form-field-label-wrapper {
        top: -1.5em;
      }
      .mat-form-field-wrapper {
        padding-bottom: .5em;
      }

       .mat-form-field-appearance-outline.mat-form-field-can-float.mat-form-field-should-float .mat-form-field-label {
        transform: translateY(-1.1em) scale(.75);
        width: 133.33333%;
      }
      .mat-form-field-appearance-outline .mat-form-field-wrapper {
        margin:0;
      }
    }

    .inline {
      display: inline-block;   
      margin-top: 15px;
      margin-bottom: 10px;
    }

    .label {
      width: 35% !important;
      margin-right: 50px;
    }

    textarea { 
      resize: none !important; 
      overflow: auto;
      width: 100%;  
    }

    .textarea {
      width: 70%;
    }

    .view {
      min-height: 530px;
      margin-left: 20px;
      margin-top: 20px
    }

    #form {
      min-height: 300px !important;
    }
  }
  